function Y = compact(y,n,p)

% Transforms a column-writted matrix into the classical one.
%
% Y = compact(y,n,p)
%
% Input :
% y : vector. size np*1
% n : positive integer.
% p : positive integer.
%
% Output :
% Y : matrix, on column k is the vector y(1+n*(k-1):n*k). size n*p
%
% The columns of Y were stacked into y.

Y = zeros(n,p);
for k = 1:p
    Y(:,k) = y(1+n*(k-1):n*k);
end    
end